=== debian/changelog ===
lomiri-filemanager-app (1.0.0~git20230127.2cf7c7a+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030016).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 12:19:31 +0100
