=== debian/control ===
Source: lomiri-filemanager-app
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               intltool,
               qtbase5-dev,
               qtdeclarative5-dev,
               python3-all,
               libtag1-dev,
               libsmbclient-dev,
Standards-Version: 4.6.2
Section: misc
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-filemanager-app
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-filemanager-app/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-filemanager-app.git

Package: lomiri-filemanager-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
         qml-module-u1db,
         qml-module-lomiri-components,
         qml-module-lomiri-components-extras,
         qml-module-lomiri-layouts,
         qml-module-lomiri-content,
         qml-module-lomiri-thumbnailer0.1,
         libsmbclient,
Description: Filemanager App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Filemanager App.
