=== debian/changelog ===
lomiri-filemanager-app (1.0.1+dfsg-2) unstable; urgency=medium

  * debian/control:
    + Fix D on qml-module-lomiri-thumbnailer. (Closes: #1030357).
      (De facto already resolved via previous upload, but the
      bug closure was forgotten in d/changelog).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 00:01:23 +0100

lomiri-filemanager-app (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Typo fix in Files-Excluded: field.
  * debian/control:
    + Fix D on qml-module-lomiri-thumbnailer. (Closes: #1030357).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 22:23:03 +0100
