=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
          qml-module-lomiri-components-extras,
          qml-module-lomiri-layouts,
          qml-module-lomiri-content,
-         qml-module-lomiri-thumbnailer0.1,
+         qml-module-lomiri-thumbnailer,
          libsmbclient,
 Description: Filemanager App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
