=== debian/changelog ===
lomiri-filemanager-app (1.0.4+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:28 +1100

lomiri-filemanager-app (1.0.4+dfsg-1ubuntu2) noble; urgency=high

  * Bump depends to libsmbclient0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:18:10 +0100

lomiri-filemanager-app (1.0.4+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:44:42 +0000

lomiri-filemanager-app (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Feb 2024 23:46:05 +0100
