=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: lomiri-filemanager-app
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
@@ -29,7 +30,7 @@
          qml-module-lomiri-layouts,
          qml-module-lomiri-content,
          qml-module-lomiri-thumbnailer,
-         libsmbclient,
+         libsmbclient0,
 Description: Filemanager App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating
