=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 override_dh_install:
 	rm -Rf debian/lomiri-filemanager-app/usr/lib/python3/
+	rm -f debian/lomiri-filemanager-app/usr/share/lomiri-filemanager-app/lomiri-filemanager-app-migrate.py
 	dh_install
 
 get-orig-source:
