=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/apps/lomiri-filemanager-app/tags .*/lomiri-filemanager-app-v(\d\S+)\.tar\.gz
