## lomiri-filemanager-app 1.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,37 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.0.4 LANGUAGES CXX)
-
-include(FindGettext)
-if(NOT GETTEXT_FOUND)
-  message(FATAL_ERROR "Could not find gettext")
-endif(NOT GETTEXT_FOUND)
+project(lomiri-filemanager-app VERSION 1.1.1 LANGUAGES CXX)
 
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra -fPIC")
+set(CMAKE_CXX_STANDARD 11)
+add_compile_options(-fno-permissive -pedantic -Wall -Wextra -fPIC)
+
+find_package(Gettext REQUIRED)
+
+find_package(Qt5Core REQUIRED)
+find_package(Qt5Gui REQUIRED)
+find_package(Qt5Qml REQUIRED)
+find_package(Qt5Quick REQUIRED)
+find_package(Qt5Widgets REQUIRED)
+
+find_package(PkgConfig)
+if(${PkgConfig_FOUND})
+    pkg_check_modules(SAMBA smbclient)
+endif(${PkgConfig_FOUND})
+if(NOT "${SAMBA_FOUND}")
+    find_path(SAMBA_INCLUDE_DIRS
+              NAMES libsmbclient.h
+              HINTS /usr/include/smbclient /usr/include/samba /usr/include/samba-3.0 /usr/include/samba-4.0
+              )
+    find_library(SAMBA_LIBRARIES NAMES smbclient)
+    message(STATUS "samba include=${SAMBA_INCLUDE_DIRS}")
+    message(STATUS "samba lib=${SAMBA_LIBRARIES}")
+
+    if(SAMBA_INCLUDE_DIRS AND SAMBA_LIBRARIES)
+       message(STATUS "Found samba: include=${SAMBA_INCLUDE_DIRS}  library=${SAMBA_LIBRARIES}")
+    else(SAMBA_INCLUDE_DIRS AND SAMBA_LIBRARIES)
+       message(FATAL_ERROR "Could not find Samba libsmbclient")
+    endif(SAMBA_INCLUDE_DIRS AND SAMBA_LIBRARIES)
+endif()
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -22,6 +46,7 @@
 set(AUTOPILOT_DIR lomiri_filemanager_app)
 set(CONTENT_HUB_JSON content-hub.json)
 set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
+set(URL_DISPATCHER filemanager.url-dispatcher)
 
 # global FILE definitions for stat system call, it works for any sub module
 add_definitions(-D_LARGEFILE_SOURCE)
@@ -84,7 +109,7 @@
          manifest.json.in *.apparmor)
 
     add_custom_target(filemanager_ubports_CLICKFiles ALL SOURCES ${CLICK_FILES})
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json filemanager.apparmor ${CONTENT_HUB_JSON} DESTINATION ${CMAKE_INSTALL_PREFIX})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json filemanager.apparmor ${CONTENT_HUB_JSON} ${URL_DISPATCHER} DESTINATION ${CMAKE_INSTALL_PREFIX})
     get_filename_component(BLD_CONFIGURATION_NAME ${CMAKE_BINARY_DIR} NAME)
 
     install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${DATA_DIR}")
