=== debian/changelog ===
lomiri-filemanager-app (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-Set-gettext-domain-correctly.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2024 13:04:33 +0200

lomiri-filemanager-app (1.0.4+dfsg-3) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Add patch 0001 from upstream in order to fix i18n

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Apr 2024 12:19:05 +0200

lomiri-filemanager-app (1.0.4+dfsg-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Drop libsmbclient from D:. (Closes: #1068400).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Apr 2024 23:07:14 +0200
