## lomiri-filemanager-app 1.1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.1.1 LANGUAGES CXX)
+project(lomiri-filemanager-app VERSION 1.1.2 LANGUAGES CXX)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_CXX_STANDARD 11)
@@ -119,13 +119,16 @@
         OUTPUT_VARIABLE QT_IMPORTS_DIR
         OUTPUT_STRIP_TRAILING_WHITESPACE
     )
-    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
-    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
-    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
+    set(DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${APP_NAME})
+    set(ICON lomiri-filemanager-app)
+    set(SPLASH ${DATA_DIR}/${SPLASH_FILE})
     set(EXEC ${APP_NAME})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
 
-    install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${CMAKE_INSTALL_PREFIX}/${DATA_DIR}")
+    install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${DATA_DIR}")
+    install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps" RENAME "${ICON}.svg")
+    install(FILES ${CONTENT_HUB_JSON} DESTINATION "${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers" RENAME lomiri-filemanager-app)
+    install(FILES ${URL_DISPATCHER} DESTINATION "${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls" RENAME lomiri-filemanager-app.url-dispatcher)
 endif(CLICK_MODE)
 
 file(GLOB SRC_FILES
