=== debian/changelog ===
lomiri-filemanager-app (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Sep 2024 09:32:19 +0200
