=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: lomiri-filemanager-app
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
@@ -12,7 +11,7 @@
                python3-all,
                libtag1-dev,
                libsmbclient-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: misc
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-filemanager-app
@@ -30,7 +29,6 @@
          qml-module-lomiri-layouts,
          qml-module-lomiri-content,
          qml-module-lomiri-thumbnailer,
-         libsmbclient0,
 Description: Filemanager App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating
