=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,13 @@
     ${QML_SRCS}
 )
 
+configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
+
 add_executable(lomiri-filemanager-app ${filemanager_SRCS})
 
-qt5_use_modules(lomiri-filemanager-app Gui Qml Quick)
+target_include_directories(lomiri-filemanager-app PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
+
+target_link_libraries(lomiri-filemanager-app Qt5::Gui Qt5::Qml Qt5::Quick)
 target_link_libraries(lomiri-filemanager-app stdc++)
 
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
