=== debian/changelog ===
lomiri-filemanager-app (1.1.3+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Disable taglib support for now again. Breaks the UI entirely.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Feb 2025 16:53:15 +0100

lomiri-filemanager-app (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001-Fix-connections-syntax.patch. Cherry-picked from upstream (and
      reverted, because the patch breaks when built against Qt 5.12).
    + Add 1001_reenable-taglib.patch and 1002_port-to-taglib2.patch. Renable
      taglib support and support taglib 2.x.
    + Trivially rebase 2001_no-autopilot-tests.patch.
  * debian/control:
    + Switch from libtag1-dev -> libtag-dev. (Closes: #1093382).
    + Support building against libtag1-dev alternatively (needed for builds
      against Ubuntu 24.04 on Launchpad).
  * debian/copyright:
    + Update attributions for debian/.
  * debian/rules:
    + Complete hardening block.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Feb 2025 09:52:53 +0100
