=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                qtbase5-dev,
                qtdeclarative5-dev,
                python3-all,
-               libtag1-dev,
+               libtag-dev | libtag1-dev,
                libsmbclient-dev,
 Standards-Version: 4.7.0
 Section: misc
