=== src/CMakeLists.txt ===
add_subdirectory(plugin)
add_subdirectory(app)
