=== src/plugin/archives/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
     ${archives_SRCS}
 )
 
-qt5_use_modules(Archives Gui Qml Quick Widgets)
+target_link_libraries(Archives Qt5::Gui Qt5::Qml Qt5::Quick Qt5::Widgets)
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
