=== src/plugin/folderlistmodel/CMakeLists.txt ===
--- 
+++ 
@@ -103,26 +103,10 @@
     ${folderlistmodel_SRCS}
 )
 
-qt5_use_modules(folderlistmodel Gui Qml Quick Widgets)
+target_link_libraries(folderlistmodel Qt5::Gui Qt5::Qml Qt5::Quick Qt5::Widgets)
 
-## samba requires libsmbclient
-find_path(SAMBA_INCLUDE_DIR 
-          NAMES libsmbclient.h 
-          HINTS /usr/include/smbclient /usr/include/samba /usr/include/samba-3.0 /usr/include/samba-4.0
-          )
-find_library(SAMBA_LIBRARIES NAMES smbclient )
-message(STATUS "samba include=${SAMBA_INCLUDE_DIR}")
-message(STATUS "samba lib=${SAMBA_LIBRARIES}=${SAMBA_LIBRARIES}")
-
-if(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
-   message(STATUS "Found samba: include=${SAMBA_INCLUDE_DIR}  library=${SAMBA_LIBRARIES}")
-   INCLUDE_DIRECTORIES(${SAMBA_INCLUDE_DIR})
-   TARGET_LINK_LIBRARIES(folderlistmodel ${SAMBA_LIBRARIES})
-else(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
-   message(FATAL_ERROR "Could not find Samba libsmbclient")
-endif(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
-mark_as_advanced(SAMBA_INCLUDE_DIR SAMBA_LIBRARIES)
-## end samba confiuration
+target_include_directories(folderlistmodel PUBLIC ${SAMBA_INCLUDE_DIRS})
+target_link_libraries(folderlistmodel ${SAMBA_LIBRARIES})
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
