=== debian/changelog ===
lomiri-filemanager-app (1.1.4+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Add 2002_hide-app-if-not-in-lomiri.patch. Hide app if not in Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 15:03:13 +0200

lomiri-filemanager-app (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 14:37:04 +0200
