=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                libtag-dev | libtag1-dev,
                libsmbclient-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: misc
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-filemanager-app
